package cn.com.qmth.examcloud.core.reports.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.core.reports.dao.entity.share.IdEntity;


@Entity
@Table(name = "ec_r_student_count",indexes = {
		@Index(name = "IDX_R_STUDENT_COUNT_01", columnList = "rootOrgId,orgId", unique = true),
		@Index(name = "IDX_R_STUDENT_COUNT_02", columnList = "batchTime", unique = false)})
public class StudentCountEntity extends IdEntity {

    /**
	 * 
	 */
	private static final long serialVersionUID = 6732497600896224190L;
	@NotNull
    private Long batchTime;
	@NotNull
    private Long rootOrgId;
    @NotNull
    private Long orgId;
    private Integer totalCount;
    private Integer onlineCount;
	public Long getRootOrgId() {
		return rootOrgId;
	}
	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
	public Long getOrgId() {
		return orgId;
	}
	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}
	public Integer getTotalCount() {
		return totalCount;
	}
	public void setTotalCount(Integer totalCount) {
		this.totalCount = totalCount;
	}
	public Integer getOnlineCount() {
		return onlineCount;
	}
	public void setOnlineCount(Integer onlineCount) {
		this.onlineCount = onlineCount;
	}
	public Long getBatchTime() {
		return batchTime;
	}
	public void setBatchTime(Long batchTime) {
		this.batchTime = batchTime;
	}
    
}
